# applications

Published runtime operations for applications.

Source: cd46e0e78d73497aec99e3e8d33c1fef632f36f9
URL: /reference/http-applications

## applications.get [#applicationsget]



````http
GET /applications/:resource/:endpoint/:incarnation/*
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | live |
| Request body | none |
| Response | application |
| Query parameters | None |

## applications.head [#applicationshead]



````http
HEAD /applications/:resource/:endpoint/:incarnation/*
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | live |
| Request body | none |
| Response | application |
| Query parameters | None |

## applications.options [#applicationsoptions]



````http
OPTIONS /applications/:resource/:endpoint/:incarnation/*
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | live |
| Request body | none |
| Response | application |
| Query parameters | None |

## applications.post [#applicationspost]



````http
POST /applications/:resource/:endpoint/:incarnation/*
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | command |
| Request body | application |
| Response | application |
| Query parameters | None |

## applications.put [#applicationsput]



````http
PUT /applications/:resource/:endpoint/:incarnation/*
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | command |
| Request body | application |
| Response | application |
| Query parameters | None |

## applications.patch [#applicationspatch]



````http
PATCH /applications/:resource/:endpoint/:incarnation/*
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | command |
| Request body | application |
| Response | application |
| Query parameters | None |

## applications.delete [#applicationsdelete]



````http
DELETE /applications/:resource/:endpoint/:incarnation/*
````

| Contract | Value |
| --- | --- |
| Access | Remote and local |
| Execution | command |
| Request body | application |
| Response | application |
| Query parameters | None |
